Subject: [Taps] Review of draft-ietf-taps-impl

From: Mirja Kuehlewind <[email-masked]>
Date: Wed, 8 Apr 2020 12:59:28 +0000

Hi all,

for those who don't follow closely the activities on github and didn't see my spam, I have reviewed draft-ietf-taps-impl and open a couple of issues (and some minor PRs that even mostly got merged already. Thanks!). I think this document is in really good shape (Thanks for the good work to the authors) and most (bigger) issues are probably somehow related to the API work. 

I think the two main touch points are still the framers (issue #457), and the MP interface (issues #437 and #545, PR #512). I guess both topics would benefit from more interactive discussion during the interim. 

The other slightly bigger topic might be on the use of the term "path" (issue #533).

I also tried to think about the question if the implementation guidance is "complete" or if there is anything we are currently missing entirely. I think the coverage is really good and all Important points are well covered, however, am wondering if we need to/can say more about security, e.g. certificate handling (issue #548)?

Question to all: are there other things that are not covered yet (e.g. more on multicast __ )?

Mirja